---

version: "3"

services:
  frontend:
    container_name: frontend
    restart: unless-stopped
    build:
      context: .
      dockerfile: ./development.frontend.Dockerfile
      args:
        CUSTOM_UID: 1000
        CUSTOM_GID: 1000
    environment:
      TZ: Europe/Berlin
    ports:
      - "8000:3000"
    volumes:
      - ./public/:/app/public/:ro
      - ./robots/:/app/robots/:ro
      - ./development.Caddyfile:/app/Caddyfile:ro
  parcel:
    container_name: parcel
    restart: unless-stopped
    build:
      context: .
      dockerfile: ./development.parcel.Dockerfile
      args:
        CUSTOM_UID: 1000
        CUSTOM_GID: 1000
    volumes:
      - ./frontend/:/app/frontend/:ro
      - ./postcss.config.js:/app/postcss.config.js:ro
      - ./.postcssrc:/app/.postcssrc:ro
      - ./tailwind.config.js:/app/tailwind.config.js:ro
    expose:
      - "1234"
  backend:
    container_name: backend
    restart: unless-stopped
    build:
      context: .
      dockerfile: ./development.backend.Dockerfile
      args:
        CUSTOM_UID: 1000
        CUSTOM_GID: 1000
    expose:
      - "3001"
    volumes:
      - ./backend/:/app/backend/:ro
      - ./requirements.txt:/app/requirements.txt:ro

...
